> For the complete documentation index, see [llms.txt](https://apidocs.juicefin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.juicefin.com/apis/card-status-and-management/swap-cards-ddas.md).

# Swap Cards DDAs

## Swap Cards DDAs

The Swap Cards DDAs API allows swapping the DDAs (Direct Deposit Accounts) between a Suspend Card (with Stolen/Lost reason code) and another card. The DDAs are swapped and the card is moved to STLN/LST status.

## Input Parameters:

| Name        | Required | Definition                                                                                                                                            | Comments |
| ----------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| CardNumber1 | C        | Format: Numeric, 16                                                                                                                                   |          |
| CardNumber2 | C        | Format: Numeric, 16                                                                                                                                   |          |
| FromID      | C        | <p>Format: Numeric, 1-19<br>Description:<br>Input should be RPID in case IDType = RPID<br>Input should be Card Number in case IDType = CardNumber</p> |          |
| FromIDType  | C        | <p>Format options:<br>CardNumber<br>RPID<br>SavingAccount</p>                                                                                         |          |
| ToID        | C        | <p>Format: Numeric, 1-19<br>Description:<br>Input should be RPID in case IDType = RPID<br>Input should be Card Number in case IDType = CardNumber</p> |          |
| ToIDType    | C        | <p>Format options:<br>CardNumber<br>RPID<br>SavingAccount</p>                                                                                         |          |

## Output Parameters:

## XML Samples

### Input XML

```json
<?xml version="1.0" ?>
 <PraxellXMLRequest>
     <AuthenticationDetails>
        <UserName>st_manager</UserName>
        <UserPassword>st_manager</UserPassword>
      <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>; 
      <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
    <ServiceDetails>
        <ServiceName>SwapCardsDDAs</ServiceName>
        <UniqueRequestId>1212121212121213</UniqueRequestId>
    </ServiceDetails>
    <Origin>
         <OriginType>ExtAPI</OriginType>
    </Origin>
    <ServiceParams>
       <FromID></FromID>
       <FromIDType></FromIDType>
       <ToID></ToID>
       <ToIDType></ToIDType>
    </ServiceParams>
</PraxellXMLRequest>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
     <ResponseDetails>
        <ServiceName>SwapCardsDDAs</ServiceName>
        <SessionId>73491609200742114</SessionId>
        <StatusCode>0</StatusCode>
        <StatusName>StatusOK</StatusName>
        <StatusDescription>NA</StatusDescription>
        <ServiceDate>2007-11-25 09:42:48</ServiceDate>
        <ServiceId>73491609200742114</ServiceId>
    </ResponseDetails>
    <ResponseParams>
    </ResponseParams>    
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>SwapCardsDDAs</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70029</StatusCode>
    <StatusName>Data not found (cardholder not found)</StatusName>
    <StatusDescription>Data not found (cardholder not found)</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/card-status-and-management/swap-cards-ddas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
